Name: kdetv
Version: 0.8.1
Release: alt1

Summary: Kdetv - KDE Video4Linux Stream Capture Viewer

Group: Video
License: GPL
Url: http://www.kdetv.org/

Source: %name-%version.tar.bz2

Obsoletes: kwintv

%define libname libkdevideo

Requires: %libname = %version-%release

# manually removed: boson gcc-g77 graphviz 
# Automatically added by buildreq on Sat Jul 10 2004
BuildRequires: XFree86-devel XFree86-libs doxygen fontconfig freetype2 gcc-c++ hostinfo kde-settings kdelibs-devel libGLU-devel libalsa-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer qt3-doc xml-utils zlib-devel

%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.

%package -n %libname
Summary: kdevideo libraries
Group: System/Libraries
License: LGPL
Obsoletes: libqtvision1

%description -n %libname
These libraries provide TV support to KDE.

%package -n %libname-devel
Summary: kdevideo libraries
Group: System/Libraries
License: LGPL
Requires: %libname = %version-%release
Obsoletes: libqtvision1-devel

%description -n %libname-devel
These're the files needed to develop applications that use qtvision libraries.

%prep
%setup -q

%build
%__subst "s/\.la/\.so/g" configure
%__subst "s/\-lkdeui/-lkdeui -lqt -lDCOP/g" configure

%configure	--disable-rpath \
       		--disable-debug \
			--enable-final

%make

%install
%makeinstall

rm -rf $RPM_BUILD_ROOT/%_docdir/libqtvision1-0.8.0/COPYING
rm -rf $RPM_BUILD_ROOT/%_docdir/libqtvision1-devel-0.8.0/COPYING

install -d $RPM_BUILD_ROOT%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Video" $RPM_BUILD_ROOT%_datadir/applnk/Multimedia/kdetv.desktop $RPM_BUILD_ROOT%_menudir/%name

chmod 4755 %buildroot/%_bindir/kv4lsetup

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%doc COPYING
%_bindir/kdetv

%_bindir/kv4lsetup

%_menudir/*

%_datadir/apps/kdetv/tips

%_iconsdir/hicolor/16x16/apps/kdetv.png
%_iconsdir/hicolor/22x22/apps/kdetv.png
%_iconsdir/hicolor/32x32/apps/kdetv.png

%_datadir/apps/kdetv/*.rc

%_datadir/applnk/Multimedia/kdetv.desktop

%_datadir/apps/kdetv/channels-dist/*.list
%_datadir/apps/kdetv/channels-dist/*.map

%_datadir/apps/profiles/kdetv.profile.xml

%_datadir/services/kdetv/*.desktop

%_datadir/servicetypes/kdetv/*.desktop
#%_menudir/*

%_datadir/apps/kdetv/icons/hicolor/16x16/apps/kdetv.png
%_datadir/apps/kdetv/icons/hicolor/22x22/actions/*.png

%_datadir/apps/kdetv/icons/hicolor/22x22/apps/kdetv.png
%_datadir/apps/kdetv/icons/hicolor/32x32/apps/kdetv.png

%files -n %libname
%doc COPYING
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/*.so.*

%files -n %libname-devel
%doc COPYING
%_libdir/*.so

%changelog
* Sat Jul 10 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- first build for Sisyphus

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package

